package mainwindow

import (
	"fmt"
	"lab.zaar.be/thefish/alchemyst-go/util"
	blt "lab.zaar.be/thefish/bearlibterminal"
)

func Init(ctx util.ClientCtx) {
	ctx.Logger().Info().Msgf("Opening main window...")
	config := ctx.Config()
	blt.Open()
	//blt.Set("window: size=80x25, title="+config.Title+" v"+string(version)+"; font: ./fonts/Monaco-Linux.ttf, size=10")
	blt.Set(
		fmt.Sprintf("window: size=%dx%d, title=%s v%s; font: ./resources/fonts-bitmap/ibmnew8x12.png, size=8x12;",
			config.MainWindowSizeX,
			config.MainWindowSizeY,
			config.Title,
			config.Version,
		),
	)
}

func Shutdown(ctx util.ClientCtx) {
	ctx.Logger().Info().Msg("Closing main window...")
	blt.Close()
}
